Skip to content
Permalink
Fetching contributors…
Cannot retrieve contributors at this time
39 lines (37 sloc) 1.03 KB
opam-version: "2.0"
maintainer: "zoggy@bat8.org"
authors: ["Maxence Guesdon"]
homepage: "http://zoggy.github.io/ojs-base/"
license: "GNU Public License version 3"
doc: ["http://zoggy.github.io/ojs-base/refdoc/"]
dev-repo: "git+https://github.com/zoggy/ojs-base.git"
bug-reports: "https://github.com/zoggy/ojs-base/issues"
tags: ["javascript" "web" "components"]
build: [
["./configure" "--prefix" prefix]
[make "all"]
]
install: [
[make "install"]
]
remove: [["ocamlfind" "remove" "ojs"]]
depends: [
"ocaml" {>= "4.02.1" & < "4.03.0"}
"ocamlfind"
"js_of_ocaml" {>= "2.5" & < "3.0"}
"websocket" {>= "2.1"}
"lwt" {>= "2.4.8"}
"cohttp" {>= "0.18.2"}
"yojson" {>= "1.1.8"}
"ppx_deriving_yojson" {>= "2.3"}
"xtmpl" {>= "0.12" & < "0.13.0"}
"magic-mime" {>= "1.0"}
"base64" {>= "2.0" & < "3.0.0"}
]
synopsis:
"Components to create web applications using js_of_ocaml and websockets."
flags: light-uninstall
url {
src: "http://zoggy.github.com/ojs-base/ojs-base-0.3.0.tar.gz"
checksum: "md5=6075c2d55eaac6d1121085923bd73b4e"
}
You can’t perform that action at this time.